---
name: Jordan Bushong
start_date: 2018-02-12
locality: Saint Louis, MO
country: USA
role: <a href="/job-families/sales/channel-sales-manager/">Channel Sales Manager, NORAM</a>
reports_to: david-forsch
picture: jordanbushong.jpg
twitter: 
gitlab: jbushong
departments:
- channel
- Channel Sales Manager
story: 'Jordan Bushong is an experienced sales professional located in Saint Louis,
  MO.  Outside of work, he enjoys spending time with his wife, daughter and 4 rescue
  dogs. They enjoy good food, bike rides and long hikes.

'
